# Interface PixerFactory

All Known Implementing Classes:
  `PixelDrawing`

public interface PixerFactory
Issues copies of a Pixer.

Since:
  23 Jul 2018
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Pixer`
`createPixer()`
Returns a pixer.
`int`
`getMaxX()`
Returns the highest X value from each created pixer.
`int`
`getMaxY()`
Returns the highest Y value from each created pixer.
`int`
`getMinX()`
Returns the lowest X value from each created pixer.
`int`
`getMinY()`
Returns the lowest Y value from each created pixer.
`int`
`getPixelCount()`
Returns the number of pixels over which each created pixer iterates.

## Method Details

### createPixer

Pixer createPixer()
Returns a pixer. Every call to this method returns a functionally identical object.

Returns:
  pixer

### getPixelCount

int getPixelCount()
Returns the number of pixels over which each created pixer iterates.

Returns:
  pixel count

### getMinX

int getMinX()
Returns the lowest X value from each created pixer.

Returns:
  minimum X coordinate

### getMaxX

int getMaxX()
Returns the highest X value from each created pixer.

Returns:
  maximum X coordinate

### getMinY

int getMinY()
Returns the lowest Y value from each created pixer.

Returns:
  minimum Y coordinate

### getMaxY

int getMaxY()
Returns the highest Y value from each created pixer.

Returns:
  maximum Y coordinate